Bug 439871 - xorg-x11-drv-ati does not support "NoDDC" with ASMI RMM2 from Raritan
xorg-x11-drv-ati does not support "NoDDC" with ASMI RMM2 from Raritan
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-31 16:28 EDT by Ken Banks
Modified: 2009-01-09 02:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:45:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
These include a new binary,src,debug rpms for the ATI driver to fix the NoDDC virtual display problem. (386.67 KB, application/x-rpm)
2008-03-31 16:40 EDT, Ken Banks
no flags Details
Source RPM for patched ati driver. (923.76 KB, application/x-rpm)
2008-04-04 11:29 EDT, Ken Banks
no flags Details

  None (edit)
Description Ken Banks 2008-03-31 16:28:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20080311 Firefox/

Description of problem:
I am having trouble with the xorg-drv-ati driver in FC8 (32-bit) using the Raritan RMM2 (Remote Management Module) 
Either I get video in the RMM2 Java KVM Console and no video signal on the local console  r (using Option "NoDDC") I get video on the local console but, no signal on the KVM Console. 

The "NoDDC" resloves display problems for previous Linux releases (such as RH3, RH4, RH5 and even SLES9 and SLES10), but appearantly there are enough significant changes with the xserver in FC8 and FC9 that problems now arise with the ATI chipset driver.

The ATI driver has a problem displaying the same video signal on both the RMM Virtual console device and the local console device at the same time.

This problem has been identified and addressed by Raritan by patching the source for the ATI driver.  Which I will attach.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Setup a server with an onboard ASMI connector with an RMM2 from Raritan.
2. Install FC8 or FC9.
3. Add  'Option "NoDDC"' to the Device section of xorg.conf
Toggle in/out this option (restarting xserver, init 3/init 5) to see that you can only get one device to display at a time.

Actual Results:
My local console went blank.

Expected Results:
I should have seen identical video signals both on my local LCD display device and within the Virtual Java KVM Cosnole of the Raritan RMM2.

Additional info:
The problem exists with the ATI driver, but a solution is provided by Raritan who made a patch to the ATI driver.
Comment 1 Ken Banks 2008-03-31 16:40:26 EDT
Created attachment 299756 [details]
These include a new binary,src,debug rpms for the ATI driver to fix the NoDDC virtual display problem.

I hope someone there responsible for maintaining the video drivers for Fedora
Core releases picks up on this and rolls this fix into subsequent builds ASAP.
Comment 2 Dave Airlie 2008-04-02 23:51:56 EDT
you've only attached the binary rpm, which isn't much use to me..

please attach an xorg log file from the F9 driver. and any patches they might
have used.

NoDDC should not be necessary and we can try and fix this properly.
Comment 3 Ken Banks 2008-04-04 11:29:14 EDT
Created attachment 300454 [details]
Source RPM for patched ati driver.

Sorry this was not upload previously.
I was using the 'dragdropupload' extension for Firefox and it obviously didn't
work correctly.

I only have this source patch for FC8.
The patch was provided to me by Raritan.
Raritan also confirmed that this problem also occurs on FC9.
But I have not tried to reproduce this on FC9.

We have had to use "NoDDC" previously with RedHat EL3, EL4, and EL5
an also on SLES 9 and 10.
NoDDC was the only way to avoid X from getting confused as to which display
device was the primary, I think.
You see the RMM's virtual display appears to the OS as another DVI device and I
think it tries to keep sepearte resolution settings for the local console and
the virtual DVI of the RMM2.
We were never able to change the local desktop resolution and have it stick
without setting the NoDDC Option before.

But now we can't even do that.
If I am confused. please feel free to straighten me out.  All I know is how is
used to "work", but it might not have been working correctly then either.

I have two bugs open with this, as you are aware, because I wanted to make sure
that it got attention for both FC8 and FC9.  How should we move forward to
track this at one location?

Thanks for your attention.
Ken Banks
Comment 4 Bug Zapper 2008-11-26 05:19:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-01-09 02:45:07 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.